Множественные уязвимости в AbleSpace

Дата публикации:
06.05.2009
Дата изменения:
06.05.2009
Всего просмотров:
20032
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-1315
CVE-2009-1316
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AbleSpace 1.x
Уязвимые версии: AbleSpace 1.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "gid" в сценарии groups_profile.php и в параметрах "cat_id" и "razd_id" в сценарии adv_cat.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в сценарии blogs_full.php. Удаленный авторизованный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "eid" в сценарии events_view.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии events_clndr_view.php. Удаленный авторизованный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: abk-soft.com/products_datingscripts.html

Решение: Установите исправление с сайта производителя.

Ссылки: http://dsecrg.com/pages/vul/show.php?id=137

или введите имя

CAPTCHA